Skip to content
CARP Docs
Ask AISystemLightDark

Export anonymous participants

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/studies/{study-id}/exports/anonymous-participants
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string
application/json
  1. body
amountOfAccounts?integer
Formatint32
expirationSeconds?integer
Formatint64
clientId*string
Length1 <= length
redirectUri*string
Length1 <= length
participantRoleName*string
Length1 <= length
subdomain?string|null
useFastPipeline?boolean
expirationSecondsValidForPipeline?boolean

Response body

Accepted

*/*
  1. response
createdBy?string|null
createdAt?|
Formatdate-time
updatedBy?string|null
updatedAt?|
Formatdate-time
id?string
fileName?string
status?string
Value in"UNKNOWN""IN_PROGRESS""AVAILABLE""ERROR""EXPIRED"
studyId?string
type?string
Value in"UNKNOWN""STUDY_DATA""DEPLOYMENT_DATA""ANONYMOUS_PARTICIPANTS"
relativePath?string
Example request
curl -X POST 'https://dev.carp.dk/api/studies/string/exports/anonymous-participants' \  -H 'Content-Type: application/json' \  -d '{  "clientId": "string",  "redirectUri": "string",  "participantRoleName": "string"}'
Example response
{  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "id": "string",  "fileName": "string",  "status": "UNKNOWN",  "studyId": "string",  "type": "UNKNOWN",  "relativePath": "string"}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture